#include "Sample/Interface/LayerRoughness.h"
#include "Tests/GTestWrapper/google_test.h"

class LayerRoughnessTest : public ::testing::Test {
};

// test clone LayerRoughness
TEST_F(LayerRoughnessTest, LayerRoughnessClone)
{
    LayerRoughness original(3.1, 3.2, 3.3);

    LayerRoughness* clone = original.clone();
    EXPECT_EQ(clone->getSigma(), original.getSigma());
    EXPECT_EQ(clone->getHurstParameter(), original.getHurstParameter());
    EXPECT_EQ(clone->getLatteralCorrLength(), original.getLatteralCorrLength());
    delete clone;
}
